% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i PressureLink
% DatiPressure contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_PL,DatiPressure] = MediaDati_PL(DatiPressure,TimePL,NdatiMedia,FileName)

[r,~]=size(DatiPressure);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_PL = TimePL;

%% Accelerazione
DatiPressure = smoothdata(DatiPressure,'gaussian',NdatiMedia);

text = 'Average values for Pressure Link have been processed';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);
fclose(fileID);
end